# Generated by go2rpm 1
%bcond_without check

# https://github.com/nicksnyder/go-i18n/v2
%global goipath         github.com/nicksnyder/go-i18n/v2
%global forgeurl        https://github.com/nicksnyder/go-i18n
Version:                2.1.2

%gometa

%global common_description %{expand:
go-i18n is a Go package and a command that helps you translate Go programs into
multiple languages.

 - Supports pluralized strings for all 200+ languages in the Unicode Common
   Locale Data Repository (CLDR).
    - Code and tests are automatically generated from CLDR data.
 - Supports strings with named variables using text/template syntax.
 - Supports message files of any format (e.g. JSON, TOML, YAML, etc.).
 - Documented and tested!}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md dev.md example

Name:           %{goname}
Release:        12%{?dist}
Summary:        Translate your Go program into multiple languages

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

# Not upstreamed
Patch0:         0001-Fix-error-message-changed-with-Go-1.16.patch

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(gopkg.in/yaml.v2)

Provides:       go-i18n = %{version}-%{release}
# Remove in F33:
Obsoletes:      go-i18n < 1.10.0-7

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
mv v2/* ./


%build
for cmd in goi18n; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_bindir}/*

%gopkgfiles

%changelog
* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 2.1.2-12
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.1.2-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.2-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.2-1
- Update to latest version (#1917665)

* Mon Jan 18 13:01:36 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.1-4
- Rework fix incompatibility with v1

* Mon Jan 18 02:08:12 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.1-3
- Fix incompatibility with v1

* Sun Jan 17 23:43:13 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.1-2
- Fix FTBFS with Go 1.16

* Fri Oct 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.1-1
- Update to latest version (#1883383)

* Thu Jul 30 12:23:33 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.3-4
- Add alternative import path

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Nov 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version

* Wed Oct 16 05:00:46 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- Initial package
